OpenShot Audio Library | OpenShotAudio: juce::dsp::ProcessSpec Struct Reference

OpenShot Audio Library | OpenShotAudio 1.0.0

Loading...
Searching...
No Matches
juce::dsp::ProcessSpec Struct Reference

`#include <juce_ProcessContext.h>`

## Public Attributes
double | sampleRate
uint32 | maximumBlockSize
uint32 | numChannels

## Detailed Description

This structure is passed into a DSP algorithm's prepare() method, and contains information about various aspects of the context in which it can expect to be called.

Definition at line 35 of file juce_ProcessContext.h.

## Member Data Documentation

## ◆ maximumBlockSize

uint32 juce::dsp::ProcessSpec::maximumBlockSize

The maximum number of samples that will be in the blocks sent to process() method.

Definition at line 41 of file juce_ProcessContext.h.

Referenced by juce::dsp::Chorus< SampleType >::prepare(), and juce::dsp::DryWetMixer< SampleType >::prepare().

## ◆ numChannels

uint32 juce::dsp::ProcessSpec::numChannels

The number of channels that the process() method will be expected to handle.

Definition at line 44 of file juce_ProcessContext.h.

Referenced by juce::dsp::BallisticsFilter< SampleType >::prepare(), juce::dsp::Chorus< SampleType >::prepare(), juce::dsp::Compressor< SampleType >::prepare(), juce::dsp::DelayLine< SampleType, InterpolationType >::prepare(), juce::dsp::DryWetMixer< SampleType >::prepare(), juce::dsp::FirstOrderTPTFilter< SampleType >::prepare(), juce::dsp::LadderFilter< SampleType >::prepare(), juce::dsp::Limiter< SampleType >::prepare(), juce::dsp::LinkwitzRileyFilter< SampleType >::prepare(), juce::dsp::NoiseGate< SampleType >::prepare(), juce::dsp::Panner< SampleType >::prepare(), juce::dsp::Phaser< SampleType >::prepare(), and juce::dsp::StateVariableTPTFilter< SampleType >::prepare().

## ◆ sampleRate

double juce::dsp::ProcessSpec::sampleRate

The sample rate that will be used for the data that is sent to the processor.

Definition at line 38 of file juce_ProcessContext.h.

Referenced by juce::dsp::BallisticsFilter< SampleType >::prepare(), juce::dsp::Chorus< SampleType >::prepare(), juce::dsp::Compressor< SampleType >::prepare(), juce::dsp::DelayLine< SampleType, InterpolationType >::prepare(), juce::dsp::DryWetMixer< SampleType >::prepare(), juce::dsp::FirstOrderTPTFilter< SampleType >::prepare(), juce::dsp::LadderFilter< SampleType >::prepare(), juce::dsp::Limiter< SampleType >::prepare(), juce::dsp::LinkwitzRileyFilter< SampleType >::prepare(), juce::dsp::NoiseGate< SampleType >::prepare(), juce::dsp::Panner< SampleType >::prepare(), juce::dsp::Phaser< SampleType >::prepare(), juce::dsp::Reverb::prepare(), and juce::dsp::StateVariableTPTFilter< SampleType >::prepare().

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h